Transfer funds to or from an account
curl --request POST \
--url https://sandbox.apocor.ai/v1/accounts/{id}/transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"applicant_id": "app_abc123",
"direction": "in",
"amount": "100.00"
}
'import requests
url = "https://sandbox.apocor.ai/v1/accounts/{id}/transfers"
payload = {
"applicant_id": "app_abc123",
"direction": "in",
"amount": "100.00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({applicant_id: 'app_abc123', direction: 'in', amount: '100.00'})
};
fetch('https://sandbox.apocor.ai/v1/accounts/{id}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "Applicant must be approved"
}
}Funding accounts
Transfer funds to or from an account
Funds or depletes a debit (budget) account, or routes to prepaid card transfer-in/out when type is prepaid.
POST
/
v1
/
accounts
/
{id}
/
transfers
Transfer funds to or from an account
Authorizations
Bearer access token obtained from POST /v1/oauth/token using your Apocor API key.
Path Parameters
Resource identifier.
Body
application/json
Response
Transfer submitted.
⌘I